@charset "UTF-8";

.fc .fc-daygrid-day-top {
  flex-direction: column;
}
.fc .fc-button-primary:disabled {
  color: #0D3A9D;
  background-color: #FFF;
  cursor:auto;
}
.fc-theme-standard .fc-scrollgrid {
  border-left: none;
  border-top: none;
}
.fc .fc-scrollgrid-section-header > *{
  border-right: none;
}
.fc .fc-scrollgrid-section table thead .fc-col-header-cell {
  border: none;
}
.fc .fc-scrollgrid-section table .fc-col-header-cell .fc-col-header-cell-cushion {
  color: #333;
}
.fc .fc-scrollgrid-sync-table tbody tr td:first-child {
  background-color: #FFF8F9;
}
.fc .fc-scrollgrid-sync-table tbody tr td:last-child {
  background-color: #F6F8FF;
}
.fc .fc-scrollgrid-section-body table {
  border-left: 1px;
  border-top: 1px;
}
.fc .fc-daygrid-day-frame .fc-daygrid-day-bottom {
  display: none;
}
.fc .fc-daygrid-day-frame .fc-daygrid-day-bg {
  display: none;
}
.fc .event-wrap {
  position: relative;
  width: 100%;
}
.fc .event-wrap .fc-custom-event {
  border-radius: 6px;
  background-color: rgba(154, 173, 186, 0.25);
  padding: 7px;
  width: 100%;
}
.event-modal-wrap {
  display: none;
}
.event-modal-wrap .event-modal-content {
  align-items: center;
  background: #fff;
  border-radius: 10px;
  border-top: 11px solid #0D3A9D;
	border-radius: 10px;
  display: grid;
  gap: 55px;
  grid-template-columns: auto 1fr;
	margin: 0 auto;
	max-width: 860px;
	overflow-y: auto;
	width: 100%;
	position: fixed;
  padding: 35px 55px;
	left: 0;
	right: 0;
	top: 50%;
	transform: translateY(-50%);
	z-index: 999;
  max-height: calc(100vh - 40px);
  overflow-y: auto;
}
.event-modal-wrap .event-modal-content .event-modal-img {
  width: 200px;
}
.event-modal-wrap .event-modal-content .event-modal-txt {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-modal-disease {
  border: 1px solid rgba(175, 175, 175, 0.2);
  border-radius: 20px;
  display: flex;
  gap: 7px;
  width: fit-content;
  padding: 2px 20px 2px 11px;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-modal-disease .event-disease-name {
  font-weight: bold;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-modal-tag-wrap {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-modal-tag {
  padding: 1px 7px;
  background-color: #F7F7F7;
  border-radius: 5px;
  width: fit-content;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-modal-link {
  font-size: 2.4rem;
  font-weight: 700;
}
.event-modal-wrap .event-modal-content .event-modal-txt .pecs-amount {
  border: 1px solid #0D3A9D;
  padding: 4px 0;
  font-size: 1.3rem;
  font-weight: bold;
  text-align: center;
  color: #0D3A9D;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-date-time {
  font-size: 2.4rem;
}
.event-modal-wrap .event-modal-content .event-modal-txt .event-modal-speaker,
.event-modal-wrap .event-modal-content .event-modal-txt .event-credit-info {
  font-size: 1.6rem;
}
.event-modal-wrap .event-modal-content .event-modal-txt .pecs-amount,
.event-modal-wrap .event-modal-content .event-modal-txt .event-credit-info {
  display: none;
}
.event-modal-wrap .event-modal-content .event-modal-txt .pecs-amount.is-show,
.event-modal-wrap .event-modal-content .event-modal-txt .event-credit-info.is-show {
  display: block;
}
.event-modal-wrap .event-modal-content .event-detail-btn {
  background-color: #2E6AAE;
  border-radius: 30px;
  font-size: 1.6rem;
  font-weight: 500;
  color: #FFF;
  display: none;
  grid-column: 1 / -1;
  justify-self: center;
  padding: 10px 65px;
}
.event-modal-wrap .event-modal-content .event-detail-btn.is-show {
  display: block;
}
.event-modal-wrap.is-open {
  display: block;
  pointer-events: auto;
}
.fc .event-wrap .modal.is-open {
  display: block;
}
.fc .fc-daygrid-event {
  white-space: normal;
}
.fc .fc-daygrid-event .fc-title {
  align-items: center;
  border-radius: 10px;
  color: #FFF;
  display: flex;
  gap: 5px;
  font-size: 13px;
  font-weight: bold;
  line-height: 1.2;
  padding: 3px 5px;
  background-color: #0D3A9D;

}
.fc .fc-daygrid-event .fc-time {
  color: #273C4B;
}
.fc .fc-daygrid-event .fc-desc {
  word-break: break-all;
  color: #273C4B;
  font-weight: bold;
  /* 以下は2行以降の省略 */
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
}
.fc .fc-daygrid-event .fc-pecs_amount {
  border:  1px solid #0D3A9D;
  font-size: 1.3rem;
  font-weight: bold;
  text-align: center;
  width: 100%;
}
.fc .is-past {
  background-color: #F5F5F5 !important;
  pointer-events: none;
}
.fc .fc-daygrid-day .fc-daygrid-day-frame {
  min-height: 136px;
}
.fc .fc-daygrid-day .fc-daygrid-day-frame .fc-h-event {
  background-color: rgba(154, 173, 186, 0.25);
  border: none;
}
.fc .fc-daygrid-day.fc-day-today{
  background-color: #FFF;
}
.fc .fc-daygrid-day-number {
  color: #273C4B;
}
.fc .fc-day-disabled {
  background: #F5F5F5 !important;
  background-color: #F5F5F5 !important;
}
.event-modal-overlay {
	background: rgba(0, 0, 0, .3);
	opacity: 0;
	pointer-events: none;
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	z-index: 99;
	transition: opacity .3s ease;
}
.event-modal-overlay.is-open {
  opacity: 1;
	pointer-events: auto;
}